Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irrString.h File Reference

`#include "irrTypes.h"`
`#include "irrAllocator.h"`
`#include "irrMath.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes

class | irr::core::string< T, TAlloc >

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

typedef string< c8 > | irr::core::stringc
| Typedef for character strings.
typedef string< wchar_t > | irr::core::stringw
| Typedef for wide character strings.

## Enumerations

enum | irr::core::eLocaleID { irr::core::IRR_LOCALE_ANSI = 0, irr::core::IRR_LOCALE_GERMAN = 1 }
| Very simple string class with some useful features. More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)